package com.groupdocs.watermark.examples;

import com.groupdocs.watermark.examples.quick_start.*;
import com.groupdocs.watermark.examples.basic_usage.*;
import com.groupdocs.watermark.examples.advanced_usage.loading_documents.*;
import com.groupdocs.watermark.examples.advanced_usage.adding_watermarks.add_watermarks_to_email_attachments.*;
import com.groupdocs.watermark.examples.advanced_usage.adding_watermarks.add_watermarks_to_images.*;
import com.groupdocs.watermark.examples.advanced_usage.adding_watermarks.add_watermarks_to_pdf.*;
import com.groupdocs.watermark.examples.advanced_usage.adding_watermarks.add_watermarks_to_presentations.*;
import com.groupdocs.watermark.examples.advanced_usage.adding_watermarks.add_watermarks_to_spreadsheets.*;
import com.groupdocs.watermark.examples.advanced_usage.adding_watermarks.add_watermarks_to_word_processing.*;
import com.groupdocs.watermark.examples.advanced_usage.adding_watermarks.adding_image_watermarks.*;
import com.groupdocs.watermark.examples.advanced_usage.adding_watermarks.adding_text_watermarks.*;
import com.groupdocs.watermark.examples.advanced_usage.adding_watermarks.add_watermarks_to_diagrams.*;
import com.groupdocs.watermark.examples.advanced_usage.saving_documents.*;
import com.groupdocs.watermark.examples.advanced_usage.searching_and_modifying_watermarks.*;

public class MainClass {
    public static void main(String[] args) throws Throwable {

        System.out.println("Open MainClass.java.\n");
        System.out.println("In main() method uncomment the example that you want to run.");
        System.out.println("=====================================================");

        // NOTE: Please uncomment the example you want to try out

        //region Quick Start

        SetLicenseFromFile.run();
//        SetLicenseFromStream.run();
//        SetMeteredLicense.run();
       HelloWorld.run();

        //endregion

        //region Basic Usage

//        GetSupportedFileFormats.run();
//        GetDocumentInfoForTheFileFromLocalDisk.run();
//        GetDocumentInfoForTheFileFromStream.run();

//        AddATextWatermark.run();
//        AddAnImageWatermark.run();

//        GenerateDocumentPreview.run();
        
        //endregion

        //region Advanced Usage

        //region Loading Documents

//        LoadFromLocalDisk.run();
//        LoadFromStream.run();
//        LoadingDocumentOfSpecificFormat.run();
//        LoadPasswordProtectedDocument.run();
//        LoadPasswordProtectedWordProcessingDocument.run();

        //endregion

        //region AddingTextWatermarks

//        AddTextWatermark.run();
//        AddWatermarkToAbsolutePosition.run();
//        AddWatermarkToRelativePosition.run();
//        AddWatermarkWithMarginType.run();
//        AddWatermarkWithSizeType.run();
//        AddTextWatermarkWithRotationAngle.run();
//        AddWatermarkWithParentMargin.run();

        //endregion

        //region AddingImageWatermarks

//        AddImageWatermark.run();
//        AddImageWatermarkUsingStream.run();

        //endregion

        //region AddWatermarksToDiagrams

//        DiagramAddWatermarkToAllPagesOfParticularType.run();
//        DiagramAddWatermarkToSeparateBackgroundPage.run();
//        DiagramAddWatermarkToParticularPage.run();
//        DiagramLockWatermarkShape.run();

//        DiagramRemoveWatermark.run();
//        DiagramGetShapesInformation.run();
//        DiagramRemoveShape.run();
//        DiagramRemoveTextShapesWithParticularTextFormatting.run();
//        DiagramRemoveHyperlinks.run();
//        DiagramReplaceTextForParticularShapes.run();
//        DiagramReplaceTextWithFormatting.run();
//        DiagramReplaceShapeImage.run();
//        DiagramGetHeaderFooterInformation.run();
//        DiagramRemoveOrReplaceHeaderFooter.run();

        //endregion

        //region AddWatermarksToEmailAttachments

//        EmailAddWatermarkToAllAttachments.run();

//        EmailExtractAllAttachments.run();
//        EmailRemoveAttachment.run();
//        EmailAddAttachment.run();

//        EmailUpdateBody.run();
//        EmailAddEmbeddedImage.run();
//        EmailRemoveEmbeddedImages.run();
//        EmailSearchTextInBody.run();
//        EmailListRecipients.run();

        //endregion

        //region AddWatermarksToImages

//        AddWatermarkToImage.run();
//        AddWatermarkToImagesInsideDocument.run();

        //endregion

        //region AddWatermarksToPdf

//        PdfAddWatermarks.run();
//        PdfAddWatermarkToImages.run();
//        PdfGetDimensions.run();
//        PdfAddWatermarkWithPageMarginType.run();
//        PdfAddWatermarkToAllAttachments.run();

//        PdfAddArtifactWatermark.run();
//        PdfAddAnnotationWatermark.run();
//        PdfAddPrintOnlyAnnotationWatermark.run();

//        PdfRasterizeDocument.run();
//        PdfRasterizePage.run();

//        PdfRemoveWatermark.run();
//        PdfExtractXObjectInformation.run();
//        PdfRemoveXObject.run();
//        PdfRemoveXObjectWithParticularTextFormatting.run();
//        PdfAddWatermarkToXObjects.run();
//        PdfReplaceTextForParticularXObject.run();
//        PdfReplaceTextForParticularXObjectWithFormatting.run();
//        PdfReplaceImageForParticularXObject.run();
//        PdfExtractArtifactInformation.run();
//        PdfRemoveArtifact.run();
//        PdfRemoveArtifactsWithParticularTextFormatting.run();
//        PdfAddWatermarkToImageArtifacts.run();
//        PdfReplaceTextForParticularArtifact.run();
//        PdfReplaceTextForParticularArtifactWithFormatting.run();
//        PdfReplaceImageForParticularArtifact.run();
//        PdfExtractAnnotationInformation.run();
//        PdfRemoveAnnotation.run();
//        PdfRemoveAnnotationsWithParticularTextFormatting.run();
//        PdfAddWatermarkToAnnotationImages.run();
//        PdfReplaceTextForParticularAnnotation.run();
//        PdfReplaceTextForParticularAnnotationWithFormatting.run();
//        PdfReplaceImageForParticularAnnotation.run();

//        PdfExtractAllAttachments.run();
//        PdfAddAttachment.run();
//        PdfRemoveAttachment.run();
//        PdfSearchImageInAttachment.run();

        //endregion

        //region AddWatermarksToPresentations

//        PresentationAddWatermarkToSlide.run();
//        PresentationProtectWatermarkUsingUnreadableCharacters.run();
//        PresentationGetSlideDimensions.run();
//        PresentationAddWatermarkToSlideImages.run();
//        PresentationAddWatermarkToAllSlideTypes.run();
//        PresentationAddWatermarkWithSlidesShapeSettings.run();
//        PresentationAddWatermarkWithTextEffects.run();
//        PresentationAddWatermarkWithImageEffects.run();

//        PresentationGetSlideBackgroundsInformation.run();
//        PresentationRemoveSlideBackground.run();
//        PresentationAddWatermarkToSlideBackgroundImages.run();
//        PresentationSetTiledSemitransparentBackground.run();
//        PresentationSetBackgroundImageForChart.run();

        //endregion

        //region AddWatermarksToSpreadsheets

//        SpreadsheetAddWatermarkToWorksheet.run();
//        SpreadsheetGetContentAreaDimensions.run();
//        SpreadsheetAddWatermarkToWorksheetImages.run();
//        SpreadsheetAddModernWordArtWatermark.run();
//        SpreadsheetAddWatermarkUsingShapeSettings.run();
//        SpreadsheetAddWatermarkWithTextEffects.run();
//        SpreadsheetAddWatermarkWithImageEffects.run();
//        SpreadsheetAddWatermarkAsBackground.run();
//        SpreadsheetAddWatermarkAsBackgroundWithRelativeSizeAndPosition.run();
//        SpreadsheetAddTextWatermarkAsBackground.run();
//        SpreadsheetAddImageWatermarkIntoHeaderFooter.run();
//        SpreadsheetAddTextWatermarkIntoHeaderFooter.run();

//        SpreadsheetGetInformationOfWorksheetBackgrounds.run();
//        SpreadsheetRemoveWorksheetBackground.run();
//        SpreadsheetAddWatermarkToBackgroundImages.run();
//        SpreadsheetSetBackgroundImageForChart.run();

//        SpreadsheetGetHeaderFooterInformation.run();
//        SpreadsheetClearHeaderFooter.run();
//        SpreadsheetClearSectionOfHeaderFooter.run();
//        SpreadsheetAddWatermarkToImagesInHeaderFooter.run();

//        SpreadsheetExtractAllAttachments.run();
//        SpreadsheetAddAttachment.run();
//        SpreadsheetAddLinkedAttachment.run();
//        SpreadsheetRemoveAttachment.run();
//        SpreadsheetAddWatermarkToAttachment.run();
//        SpreadsheetSearchImageInAttachment.run();

//        SpreadsheetGetShapesInformation.run();
//        SpreadsheetRemoveShape.run();
//        SpreadsheetRemoveTextShapesWithParticularTextFormatting.run();
//        SpreadsheetRemoveHyperlinks.run();
//        SpreadsheetReplaceTextForParticularShapes.run();
//        SpreadsheetReplaceTextWithFormattingForParticularShapes.run();
//        SpreadsheetReplaceImageOfParticularShapes.run();
//        SpreadsheetSetBackgroundImageForParticularShapes.run();
//        SpreadsheetUpdateShapeProperties.run();

        //endregion

        //region AddWatermarksToWordProcessing

//        WordProcessingAddWatermarkToSection.run();
//        WordProcessingGetSectionProperties.run();
//        WordProcessingAddWatermarkToSectionImages.run();
//        WordProcessingAddWatermarkToShapeImages.run();
//        WordProcessingAddWatermarkToParticularPage.run();
//        WordProcessingLinkHeaderFooterInSection.run();
//        WordProcessingLinkAllHeaderFooterInSection.run();
//        WordProcessingAddImageWatermarkToAllHeaders.run();
//        WordProcessingSetDifferentFirstPageHeaderFooter.run();

//        WordProcessingAddLockedWatermarkToAllPages.run();
//        WordProcessingAddLockedWatermarkToParticularPages.run();
//        WordProcessingAddLockedWatermarkToSection.run();

//        WordProcessingAddWatermarkWithShapeSettings.run();
//        WordProcessingAddWatermarkWithTextEffects.run();
//        WordProcessingAddWatermarkWithImageEffects.run();

//        WordProcessingRemoveWatermarkFromSection.run();
//        WordProcessingFindWatermarkInHeaderFooter.run();
//        WordProcessingGetShapesInformation.run();
//        WordProcessingShapeTypeUsage.run();
//        WordProcessingRemoveShape.run();
//        WordProcessingRemoveShapesWithParticularTextFormatting.run();
//        WordProcessingRemoveHyperlinks.run();
//        WordProcessingReplaceTextForParticularShape.run();
//        WordProcessingReplaceShapeTextWithFormattedText.run();
//        WordProcessingReplaceShapeImage.run();
//        WordProcessingModifyShapeProperties.run();

//        WordProcessingProtectDocument.run();
//        WordProcessingUnProtectDocument.run();

        //endregion

        //region SavingDocuments

//        SaveDocumentToTheSpecifiedLocation.run();
//        SaveDocumentToTheSpecifiedStream.run();

        //endregion

        //region SearchAndRemoveWatermarks

//        SearchWatermark.run();
//        SearchWatermarkWithSearchString.run();
//        SearchWatermarkWithRegularExpression.run();
//        SearchImageWatermark.run();
//        SearchWatermarkWithCombinedSearch.run();
//        SearchWatermarkWithParticularTextFormatting.run();
//        SearchWatermarkInParticularObjectsAllInstances.run();
//        SearchWatermarkInParticularObjectsForParticularDocument.run();
//        SearchTextWatermarkSkippingUnreadableCharacters.run();

//        RemoveWatermark.run();
//        RemoveWatermarkWithParticularTextFormatting.run();
//        RemoveHyperlinksWithParticularUrl.run();

//        ModifyTextInFoundWatermarks.run();
//        ModifyTextWithFormattingInFoundWatermarks.run();
//        ModifyImageInFoundWatermarks.run();

        //endregion

        //endregion

        System.out.println("\nAll done.");
    }
}
