package com.groupdocs.watermark.examples.advanced_usage.adding_watermarks.add_watermarks_to_spreadsheets;

import com.groupdocs.watermark.Watermarker;
import com.groupdocs.watermark.common.HorizontalAlignment;
import com.groupdocs.watermark.common.VerticalAlignment;
import com.groupdocs.watermark.examples.Constants;
import com.groupdocs.watermark.options.SpreadsheetLoadOptions;
import com.groupdocs.watermark.options.SpreadsheetWatermarkHeaderFooterOptions;
import com.groupdocs.watermark.watermarks.ImageWatermark;
import com.groupdocs.watermark.watermarks.SizingType;

public class SpreadsheetAddImageWatermarkIntoHeaderFooter {
    /**
     * This example shows how to add watermark to worksheet's header or footer.
     */
    public static void run() {
        SpreadsheetLoadOptions loadOptions = new SpreadsheetLoadOptions();
        // Constants.InSpreadsheetXlsx is an absolute or relative path to your document. Ex: "C:\\Docs\\spreadsheet.xlsx"
        Watermarker watermarker = new Watermarker(Constants.InSpreadsheetXlsx, loadOptions);

        ImageWatermark watermark = new ImageWatermark(Constants.LogoPng);

        watermark.setVerticalAlignment(VerticalAlignment.Top);
        watermark.setHorizontalAlignment(HorizontalAlignment.Center);
        watermark.setSizingType(SizingType.ScaleToParentDimensions);
        watermark.setScaleFactor(1);

        SpreadsheetWatermarkHeaderFooterOptions options = new SpreadsheetWatermarkHeaderFooterOptions();
        options.setWorksheetIndex(0);

        watermarker.add(watermark, options);

        watermarker.save(Constants.OutSpreadsheetXlsx);

        watermarker.close();
    }
}
